> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/custom-apps-documentation/component-blocks/api/multiple-requests.md).

# Multiple Requests

To make multiple requests, put all of your requests in an array.

All requests are executed sequentially and the output of the last request is used as the module's output.

{% hint style="info" %}
During the execution of multiple calls in a module, when the service returns an HTTP error, it is not possible to evaluate it as a success. Therefore, handling the error by another call is not possible.
{% endhint %}

## Examples

### Extending data by executing an additional call

{% tabs %}
{% tab title="Source" %}

```json
[
    {
        "url": "http://example.com/api/user",
        "response": {
            "temp": {
                "username": "{{body.username}}"
            }
        }    
    },
    {
        "url": "http://example.com/items",
        "response": {
            "iterate": "{{body}}",
            "output": {
                "username": "{{temp.username}}",
                "text": "{{item.text}}"
            }
        }
    }
]
```

{% endtab %}
{% endtabs %}

### Full update approach

When the endpoint for updating a record has a full update approach, to update a record correctly you need to provide all parameters. If some parameters are omitted, they will be cleared or overridden to default values. This is not user friendly and should be handled on the app's side.

See the best practices for [PUT vs PATCH behavior in update modules](/custom-apps-documentation/best-practices/modules/batch-actions.md#put-vs-patch-behavior-in-update-modules).

### Asynchronous approach

When a web service doesn't support a synchronous approach and the common use case of the module requires support, it should be added on the app's side.

See the best practices for the [asynchronous process](/custom-apps-documentation/best-practices/modules/batch-actions.md#asynchronous-process).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.make.com/custom-apps-documentation/component-blocks/api/multiple-requests.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
